Description

If we double-click on the name of the field to write the sentence at the "Selector by attribute" it doesn't work. It adds the "[" and "]" to
the field but we get an error.

If we delete "[" and "]" it works.

Example: 
RTT_DESCRI = 'Primary Route' ---It works
[RTT_DESCRI] = 'Primary Route' ---It doesn't work

At the gvSIG.log any error appears.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2492: Error al componer ... Outdated 04/14/2014
Related to Application: gvSIG desktop - gvSIG bugs # 4671: Selección por atri... Outdated 09/21/2017
Related to Application: gvSIG desktop - gvSIG bugs # 4660: Selección por atri... Outdated 09/12/2017

Associated revisions
Revision 43582 - 10/14/2017 10:01 PM - Joaquín  del Cerro Murciano

refs #4708, corregido en el selector por atributos cuando debe usar corchetes para escapar el nombre de campo. Esteba escapando el nombre
cuando encontraba un "_" y en ese caso no hace falta.

History
#1 - 10/14/2017 09:44 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2492: Error al componer expresión de filtrado added

#2 - 10/14/2017 09:44 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4671: Selección por atributo no funciona con cadenas que contienen comillas simples added

#3 - 10/14/2017 09:44 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4660: Selección por atributo no funciona con campos con nombre "numérico" added

#4 - 10/14/2017 10:01 PM - Joaquín  del Cerro Murciano
- Target version set to 2.4.0-2841-RC3 (rev. org.gvsig.desktop-2.0.209)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 10/16/2017 10:40 AM - Álvaro Anguix
- Status changed from Fixed to Closed
